Authenticate your API calls by including your secret key in the Authorization
header of every request you make. You can manage your API keys from the
dashboard.
cURL
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
{
"status": "success",
"message": "request received successfully"
}
{
"status": "failed",
"message": "invalid data provided",
"data": {
"errorType": "invalid",
"appErrorCode": "Bad request",
"error": "\"users[0].userId\" must be a valid GUID"
}
}
Success
{
"event": "USER_ONBOARDING",
"status": "success",
"failed": []
}
{"user":"4d7b55c0-716e-4db1-8c01-91f5922746b4","reason":"duplicate key value violates unique constraint \"UQ_e38c53eed7cc80d27d280388381\""} ] }
{
"status": "success",
"message": "request received successfully"
}
{
"status": "failed",
"message": "invalid data provided",
"data": {
"errorType": "invalid",
"appErrorCode": "Bad request",
"error": "\"users[0].userId\" must be a valid GUID"
}
}
Success
{
"event": "USER_ONBOARDING",
"status": "success",
"failed": []
}
{"user":"4d7b55c0-716e-4db1-8c01-91f5922746b4","reason":"duplicate key value violates unique constraint \"UQ_e38c53eed7cc80d27d280388381\""} ] }
curl --request POST 'https://test-api.bvndle.com/api/v1/laas/onboard-users' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN'\
--data-raw
‘
{ "users": [
{
"userId": "f0c8c81d-13d3-4515-b40f-711ef91de094",
"userData":
{
"name": "User1",
"otherInfo": "goes here",
"additionalInfo1": "goes here",
"additionalInfo2": "goes here",
"note": "you can add any key as much as you want to save on user"
}
},
{
"userId": "65433e42-a68f-48dc-89fa-1f523df7af87",
"userData":
{
"name": "User5",
"otherInfo": "goes here 5",
"additionalInfo1": "goes here 5",
"additionalInfo2": "goes here 5",
"note": "you can add any key as much as you want to save on user 5"
}
}
]
}’
{
"status": "success",
"message": "request received successfully"
}
{
"status": "failed",
"message": "invalid data provided",
"data": {
"errorType": "invalid",
"appErrorCode": "Bad request",
"error": "\"users[0].userId\" must be a valid GUID"
}
}
Success
{
"event": "USER_ONBOARDING",
"status": "success",
"failed": []
}
{"user":"4d7b55c0-716e-4db1-8c01-91f5922746b4","reason":"duplicate key value violates unique constraint \"UQ_e38c53eed7cc80d27d280388381\""} ] }
